"""
'Types' used throughout the comment-extracting-and-labeling system.
"""

from collections import namedtuple

Comment = namedtuple('Comment', 'commenter text')
CommentLabel = namedtuple('CommentLabel', 'comment is_abusive')

Mention = namedtuple('Mention', 'id commenter text')
MentionLabel = namedtuple('MentionLabel', 'mention is_abusive')

Post = namedtuple('Post', 'id text account network')
